---
title: "0.10.0 - Unreal, Self Allocation and Performance Improvements"
linkTitle: "0.10.0"
date: 2019-05-13
---

Great stuff in this release!

- Unreal Server SDK!
- GameServers can self Allocate
- Faster Allocations

As always, huge thanks to the team of people working on Agones!

Check the <a href="https://github.com/GoogleCloudPlatform/agones/tree/release-0.10.0" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Add status subresource for FleetAutoscaler [\#730](https://github.com/GoogleCloudPlatform/agones/pull/730) ([aLekSer](https://github.com/aLekSer))
- Implement GameServerAlocation as API Extension  [\#682](https://github.com/GoogleCloudPlatform/agones/pull/682) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Implementing cross cluster allocation request [\#757](https://github.com/GoogleCloudPlatform/agones/pull/757) ([pooneh-m](https://github.com/pooneh-m))
- Rename APIServerEndpoint to AllocationEndpoint for multi-cluster allocation [\#755](https://github.com/GoogleCloudPlatform/agones/pull/755) ([pooneh-m](https://github.com/pooneh-m))
- Implement multicluster allocation for local cluster allocation. [\#753](https://github.com/GoogleCloudPlatform/agones/pull/753) ([pooneh-m](https://github.com/pooneh-m))
- Implementing cluster selector from multi-cluster allocation policies. [\#733](https://github.com/GoogleCloudPlatform/agones/pull/733) ([pooneh-m](https://github.com/pooneh-m))
- Added Supersolid logo to the homepage [\#727](https://github.com/GoogleCloudPlatform/agones/pull/727) ([KamiShepard](https://github.com/KamiMay))
- Implementation of SDK.Allocate\(\) [\#721](https://github.com/GoogleCloudPlatform/agones/pull/721) ([markmandel](https://github.com/markmandel))
- Add allocation policy CRD and schema definition. [\#698](https://github.com/GoogleCloudPlatform/agones/pull/698) ([pooneh-m](https://github.com/pooneh-m))
- Helm support for Terraform [\#696](https://github.com/GoogleCloudPlatform/agones/pull/696) ([aLekSer](https://github.com/aLekSer))
- Implement lacking functions in Rust SDK [\#693](https://github.com/GoogleCloudPlatform/agones/pull/693) ([thara](https://github.com/thara))
- Terraform support to generate test cluster [\#670](https://github.com/GoogleCloudPlatform/agones/pull/670) ([aLekSer](https://github.com/aLekSer))
- Lightweight library for implementing APIServer extensions [\#659](https://github.com/GoogleCloudPlatform/agones/pull/659) ([markmandel](https://github.com/markmandel))
- Unreal Engine 4 Plugin [\#647](https://github.com/GoogleCloudPlatform/agones/pull/647) ([YannickLange](https://github.com/YannickLange))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/GoogleCloudPlatform/agones/blob/release-0.10.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.10.0](https://gcr.io/agones-images/agones-controller:0.10.0)
- [gcr.io/agones-images/agones-sdk:0.10.0](https://gcr.io/agones-images/agones-sdk:0.10.0)
- [gcr.io/agones-images/agones-ping:0.10.0](https://gcr.io/agones-images/agones-ping:0.10.0)
- [gcr.io/agones-images/cpp-simple-server:0.5](https://gcr.io/agones-images/cpp-simple-server:0.5)
- [gcr.io/agones-images/udp-server:0.8](https://gcr.io/agones-images/udp-server:0.8)
- [gcr.io/agones-images/xonotic-example:0.5](https://gcr.io/agones-images/xonotic-example:0.5)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-0.10.0.tgz" ><code>helm install agones/agones --version 0.10.0</code></a>

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`


