---
title: "0.9.0 - Release Candidate"
linkTitle: "0.9.0-rc"
date: 2019-03-25
---

New Node SDK in this release, and CMake support for our C++ SDK as well! Check it out!

**We are now in feature freeze until Tuesday, 2nd of April. This means only docs, bug fixes and tests PRs will be merged during this time.**  
(Other PRs will be marked as "merge-after-release" and will be held until after that date)

Details:

Check the <a href="https://github.com/GoogleCloudPlatform/agones/tree/release-0.9.0-rc">README</a> for details on features, installation and usage.

**Breaking changes:**

- Consistency: Portpolicy static=>Static & dynamic=>Dynamic #617 (markmandel)

**Implemented enhancements:**

- Adding a section in the documentation about deploying Agones using GCP Marketplace. [\#664](https://github.com/GoogleCloudPlatform/agones/pull/664) ([bbf](https://github.com/bbf))
- Add Agones Kubernetes API docs generator [\#645](https://github.com/GoogleCloudPlatform/agones/pull/645) ([aLekSer](https://github.com/aLekSer))
- Added support for persisting logs in 'emptyDir' volume attached to agones controller. [\#620](https://github.com/GoogleCloudPlatform/agones/pull/620) ([jkowalski](https://github.com/jkowalski))
- Adding Locust tests - initial changes for \#412 [\#611](https://github.com/GoogleCloudPlatform/agones/pull/611) ([pm7h](https://github.com/pm7h))
- Emit stress test metrics in Fortio format. [\#586](https://github.com/GoogleCloudPlatform/agones/pull/586) ([jkowalski](https://github.com/jkowalski))
- Add Node.js SDK and example - closes \#538 [\#581](https://github.com/GoogleCloudPlatform/agones/pull/581) ([steven-supersolid](https://github.com/steven-supersolid))
- Cpp sdk cmake [\#464](https://github.com/GoogleCloudPlatform/agones/pull/464) ([dsazonoff](https://github.com/dsazonoff))

**Security fixes:**

- Remove serviceaccount for game server container [\#640](https://github.com/GoogleCloudPlatform/agones/pull/640) ([markmandel](https://github.com/markmandel))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/GoogleCloudPlatform/agones/blob/release-0.9.0-rc/CHANGELOG.md">CHANGELOG</a> for more details on changes.

This software is currently alpha, and subject to change. Not to be used in production systems.

Images available with this release:

- [gcr.io/agones-images/agones-controller:0.9.0-rc](https://gcr.io/agones-images/agones-controller:0.9.0-rc)
- [gcr.io/agones-images/agones-sdk:0.9.0-rc](https://gcr.io/agones-images/agones-sdk:0.9.0-rc)
- [gcr.io/agones-images/agones-ping:0.9.0-rc](https://gcr.io/agones-images/agones-ping:0.9.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.4](https://gcr.io/agones-images/cpp-simple-server:0.4)
- [gcr.io/agones-images/udp-server:0.7](https://gcr.io/agones-images/udp-server:0.7)
- [gcr.io/agones-images/xonotic-example:0.5](https://gcr.io/agones-images/xonotic-example:0.5)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-0.9.0-rc.tgz"><code>helm install agones/agones --version 0.9.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add https://agones.dev/chart/stable`
