---
title: "1.11.0 - Release Candidate"
linkTitle: "1.11.0-rc"
date: "2020-12-15"
---

This is the 1.11.0-rc release of Agones.

This release includes **several breaking changes**, that include:

* Upgrade supported Kubernetes version to 1.17
* Upgrade CRDs to v1 from v1beta1, including adding structured schemas

For this reason, **we request that users test this Release Candidate against their current installs** to ensure 
there are no issues before it is moved to stable.

Also, of note: If you are **using Fleet autoscalers with a webhook that is also configured with an SSL certificate**,
and are not using a SAN in your certificate, please update them with this release in preparation for a migration of the
project to Go 1.15.

The [documentation on creating SSL certificates for Fleet autoscaling webhooks](https://agones.dev/site/docs/getting-started/create-webhook-fleetautoscaler/#chapter-2-configuring-https-fleetautoscaler-webhook-with-ca-bundle)
has been updated to include instructions on including a SAN in the certificate, and has been tested to work on the
current version of Agones as well.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.11.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Upgrade to Kubernetes 1.17 [\#1824](https://github.com/googleforgames/agones/issues/1824)
- Update apiextensions.k8s.io/v1beta1 to v1 for all CRDs [\#1799](https://github.com/googleforgames/agones/issues/1799)
- Move apiregistration & admissionregistration to v1 [\#1918](https://github.com/googleforgames/agones/pull/1918) ([markmandel](https://github.com/markmandel))
- Updated terraform scripts to 1.17 [\#1916](https://github.com/googleforgames/agones/pull/1916) ([markmandel](https://github.com/markmandel))
- Update client-go to 0.17.14 [\#1913](https://github.com/googleforgames/agones/pull/1913) ([markmandel](https://github.com/markmandel))
- Adding SAN to fleet autoscaler certs and updating documentation [\#1910](https://github.com/googleforgames/agones/pull/1910) ([kdima](https://github.com/kdima))
- Move CRDs from v1beta1 to v1 [\#1909](https://github.com/googleforgames/agones/pull/1909) ([markmandel](https://github.com/markmandel))
- Upgrade terraform and test clusters to 1.17 [\#1901](https://github.com/googleforgames/agones/pull/1901) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Remove support / docs for helm v2 [\#1853](https://github.com/googleforgames/agones/issues/1853)
- grpc-gateway powered REST API for MultiCluster Allocation [\#1495](https://github.com/googleforgames/agones/issues/1495)
- Support Agones sidecar Windows build [\#110](https://github.com/googleforgames/agones/issues/110)
- Tooling to review pprof heaps [\#1927](https://github.com/googleforgames/agones/pull/1927) ([markmandel](https://github.com/markmandel))
- Move supported site K8s version to shortcodes [\#1917](https://github.com/googleforgames/agones/pull/1917) ([markmandel](https://github.com/markmandel))
- Adding rest to allocation endpoint [\#1902](https://github.com/googleforgames/agones/pull/1902) ([kdima](https://github.com/kdima))
- \#54 Preliminary Windows Image Support [\#1894](https://github.com/googleforgames/agones/pull/1894) ([jeremyje](https://github.com/jeremyje))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.11.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.11.0-rc](https://gcr.io/agones-images/agones-controller:1.11.0-rc)
- [gcr.io/agones-images/agones-sdk:1.11.0-rc](https://gcr.io/agones-images/agones-sdk:1.11.0-rc)
- [gcr.io/agones-images/agones-ping:1.11.0-rc](https://gcr.io/agones-images/agones-ping:1.11.0-rc)
- [gcr.io/agones-images/agones-allocator:1.11.0-rc](https://gcr.io/agones-images/agones-allocator:1.11.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/simple-game-server:0.1](https://gcr.io/agones-images/simple-game-server:0.1)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.11.0-rc.tgz" >
  <code>helm install agones agones/agones --version 1.11.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
